# LegoDefs.pm

package LegoDefs;

require Exporter;
@ISA = (Exporter);
@EXPORT = qw(%ValidInputs %ValidOutputs %ValidConstants);

%ValidInputs = (TOUCH_INPUT_1=>1, TOUCH_INPUT_2=>2, TOUCH_INPUT_3=>3, LIGHT_LOW_1=>4, LIGHT_HIGH_1=>5, LIGHT_1_VALUE=>6, LIGHT_LOW_2=>7, LIGHT_HIGH_2=>8, LIGHT_2_VALUE=>9, LIGHT_LOW_3=>10, LIGHT_HIGH_3=>11, LIGHT_3_VALUE=>12);

%ValidOutputs = (MOTOR_A_DIR=>13, MOTOR_A_SPEED=>14, MOTOR_B_DIR=>15, MOTOR_B_SPEED=>16, MOTOR_C_DIR=>17, MOTOR_C_SPEED=>18, CPUTS=>19, SET_LIGHT_1_THRESHOLD=>20, SET_LIGHT_2_THRESHOLD=>21, SET_LIGHT_3_THRESHOLD=>22);

%ValidConstants = (MOTOR_OFF=>0, MOTOR_FWD=>1, MOTOR_REV=>2, MOTOR_BRAKE=>3, MAX_SPEED=>255, TICKS_PER_SECOND=>100, DEFAULT_LIGHT_THRESHOLD=>50);

