# LegoDefs.pm

package LegoDefs;

require Exporter;
@ISA = (Exporter);
@EXPORT = qw(%ValidInputs %ValidOutputs %ValidConstants);

%ValidInputs = (1=>'TOUCH_INPUT_1', 2=>'TOUCH_INPUT_2', 3=>'TOUCH_INPUT_3', 4=>'LIGHT_LOW_1', 5=>'LIGHT_HIGH_1', 6=>'LIGHT_1_VALUE', 7=>'LIGHT_LOW_2', 8=>'LIGHT_HIGH_2', 9=>'LIGHT_2_VALUE', 10=>'LIGHT_LOW_3', 11=>'LIGHT_HIGH_3', 12=>'LIGHT_3_VALUE');

%ValidOutputs = (13=>'MOTOR_A_DIR', 14=>'MOTOR_A_SPEED', 15=>'MOTOR_B_DIR', 16=>'MOTOR_B_SPEED', 17=>'MOTOR_C_DIR', 18=>'MOTOR_C_SPEED', 19=>'CPUTS', 20=>'SET_LIGHT_1_THRESHOLD', 21=>'SET_LIGHT_2_THRESHOLD', 22=>'SET_LIGHT_3_THRESHOLD');

%ValidConstants = (MOTOR_OFF=>0, MOTOR_FWD=>1, MOTOR_REV=>2, MOTOR_BRAKE=>3, MAX_SPEED=>255, TICKS_PER_SECOND=>100, DEFAULT_LIGHT_THRESHOLD=>50);

